#########################
# 2026-06-01 Release
#########################

================================================================================
All changes above are only part of the development branch for the next release.
================================================================================

2026-05-19 Joseph Wright <joseph.wright@latex-project.org>
	* amsmath.dtx (subsection{Matrices}):
	Add a % to suppress a stray space (gh/1988)

2026-04-28 peaR <pearatlatex@gmail.com>

	* amsmath.dtx (subsection{The \env{multline} environment}):
	 Safely sequester the \everycr logic inside \mmeasure@ (gh/793)

2026-04-26 Udi Fogiel <udi@udifogiel.com>

	* amsmath.dtx (\multline@):
	Set the right \tabskip to zero (gh/2025)

2026-04-17 peaR <pearatlatex@gmail.com>
	* amsmath.dtx (subsection{Simple aligning environments}):
	 Reset \column@ in gathered and \math@cr@@@aligned, and force
     trailing row evaluation in \endaligned (gh/1609)

2025-11-03  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx (section{Extensible arrows}):
	\dots\xrightarrow and \dots\xleftarrow should produce
	binary dots by default (gh/263)

2025-11-02  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx (subsection{The \env{equation} environment}):
	Don't lose a \cs{qedhere} qed symbol if fleqn is in force (gh/783)

#########################
# 2025-11-01 Release
#########################

2025-07-09 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* amsmath.dtx (subsection{Implementing tags and labels}):
	Suppress \ltx@label in output routine (gh/1815)

#########################
# 2025-06-01 Release PL1
#########################

2025-06-16  David Carlisle  <David.Carlisle@latex-project.org>

	* amsmath.dtx: delay saving the definition of \label gh/1775

2025-06-11  David Carlisle  <David.Carlisle@latex-project.org>

	* amsmath-2018-12-01.sty: allow for rollback from newer formats (gh/1770)

#########################
# 2025-06-01 Release
#########################

2025-05-18  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx (subsection{Preliminaries}):
	Reset \lineht@ in the right place for gh/1289

2025-03-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx:
	Use \dollardollar@begin and \dollardollar@end instead of $$ for tagging support

2025-02-25  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx (section{Equation numbering}):
	Use \counterwithin for \numberwithin (gh/1673)

2025-01-18  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx (section{Call some other packages}):
	Indicate that amsgen is also loaded (already by amstext) (gh/1611)

2025-01-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx (subsection{Implementing tags and labels}):
	Correct 30 years old typo: \@arrayparboxrestore needs changing
	not \@arrayboxrestore (gh/1608)

#########################
# 2024-11-01a Release
#########################

2024-11-05  David Carlisle  <David.Carlisle@latex-project.org>

	* amsmath.dtx
	Revert last \dots change (gh/1448)

#########################
# 2024-11-01 Release
#########################

2024-08-02  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx (section{Ellipsis dots}):
	Support special \dots magic in case of robust symbols protected with
	\protected or via \DeclareRobustCommand (gh/1265)

#########################
# 2024-06-01 Release
#########################

2024-05-23  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx:
	Do not error with "suspicous date" when rolling back to
	early years of LaTeX2e (gh/1336)

2024-03-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx (subsection{The \env{gather} environment}):
	Reset \lineht@ to avoid that this is incorrectly picked
        up by a following environment, such as align. (gh/1289)

#########################
# 2023-11-01 Release
#########################

2023-08-24  David Carlisle  <David.Carlisle@latex-project.org>

	* testmath.tex: remove spaces before ~,

#########################
# 2023-06-01 Release
#########################

2023-05-13  David Carlisle  <David.Carlisle@latex-project.org>

	* amsmath.dtx: Adjust the definition of \@@eqno  (gh/1059)

#########################
# 2022-06-01 Release
#########################

2022-04-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx:
	Make various math commands robust to match the LaTeX kernel (gh/123)

	* amsopn.dtx:
	Make various operators \protected (gh/123)


2022-02-03  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx (subsection{The \env{multline} environment}):
	Added missing \relax for (gh/716)
	Also make \shoveleft and \shoveright robust (part of gh/123)

2022-01-20  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsopn.dtx:
	Do not define/reset \operator@font; it is already defined in
	the LaTeX kernel (gh/734)

2021-11-18  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* All *.dtx: Replaced \StopEventually by \MaybeStop

#########################
# 2021-11-15 Release
#########################

2021-10-15  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx (subsection{Implementing tags and labels}):
	Explicitly set \@currentcounter (gh/687)

2021-08-24 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* amsmath.dtx (subsection{Implementing tags and labels}):
	move \incr@eqnum inside the equation if fleqn isn't used and guard
	it with a mathopen for better compability with hyperref (gh/652)

#########################
# 2021-06-01 Release
#########################

2021-04-20  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx (subsection{Preliminary macros}):
	Use \protected for \\ variant (gh/548)

#########################
# 2020-10-01 Release
#########################

2020/09/23 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* amsmath.dtx (subsection{Fractions}):
	added \Ustack to \frac and \genfrac for luatex
	(moved patch from lualatex-math)
	* amsmath.dtx (section{Array-related environments})
	changed subarray for luatex: moved to version from lualatex-math

2020-08-24 Ulrike Fischer <Ulrike.Fischer@latex-project.org>

	* amsmath.dtx (section{Extensible arrows}):
	Detect unicode engines and use \Umathcharnumdef for
    \std@minus and \std@equal (acc/135)


2020-03-10 Frank Mittelbach <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx (subsection{Simple aligning environments}):
	Explicity test for b,t,c and return optional argument is
	different (gh/5)

2020-03-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx (subsection{Math spacing commands}):
	Math/text spacing commands are now in the \LaTeX{} kernel and are
	made robust. We still define them here so that the package
	continues to work with older formats (gh/303)


#########################
# 2020-02-02 Release
#########################

2020-01-20  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx (subsection{Vertical bar symbols}):
	Make \lvert, \rvert, \lVert and \rVert robust to match kernel
	correction (gh/251)

2019-12-01  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx: docu update for gh/200 no code change.

#########################
# 2019-11-17 Release
#########################

2019-11-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx (section{Math accents}):
	Added \MakeRobust inside \DeclareMathAccent to match kernel
        change (gh/216)

#########################
# 2019-10-01b Release
#########################

2019-10-11  David Carlisle  <David.Carlisle@latex-project.org>

	* build.lua: package amsmath-2018-12-01.sty (only ctan build script
	no source changes)

#########################
# 2019-10-01 Release
#########################

2019-02-06  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx (section{Mods, continued fractions, etc.}):
	Command \overunderset added

#########################
# 2018-12-01 Release
#########################

2018-10-09  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* amsmath.dtx
	Don't drop \frozen@everymath
	Start LR-mode for \thinspace and friends if necessary (github/49)
	Start LR-mode for \bigl and friends if necessary (github/49)
	Start LR-mode for \smash if necessary (github/49)

#########################
# 2018-04-01 Release
#########################

2017-09-02  David Carlisle  <latex-bugs@latex-project.org>

	* amsmath.dtx: ensure that overfull alignments give warnings in more cases
	https://tex.stackexchange.com/questions/141287/addmargin-enumerate-and-align-miss-an-overfull-hbox

	* amsmath.dtx: move the nulldelimiterspace correction for closing
	delimiters in \genfrac for extended TeXs to the line before
	\nulldelimiterspace is locally set to 0pt.

2017-04-14  David Carlisle  <latex-bugs@latex-project.org>

	* amscd.dtx: typo fix in ProvidesPackage line.

2016-11-05 David Carlisle  <latex-bugs@latex-project.org>

        * alignedleftspace[yes|no|yesifneg] package options
	* New genfrac implementation for XeTeX and LuaTeX
	* Delete obsolete install.txt file.

2016-06-28  David Carlisle  <latex-bugs@latex-project.org>

	* amsmath.dtx: Add space to prevent runaway argument error with \dots \left...

2016-05-26  David Carlisle  <latex-bugs@latex-project.org>

	* amsmath.dtx: ignore spaces at start of \intertext

2016-03-10  David Carlisle  <latex-bugs@latex-project.org>

	* amsmath.dtx: Preserve box0 in \resetMathstrut@

2016-03-08  David Carlisle  <latex-bugs@latex-project.org>

	* amsopn.dtx: In xetex, and luatex, add version of \newmcodes@
	that works even if - has a \Umathcode definition.

2016-03-03  David Carlisle  <latex-bugs@latex-project.org>

	* amsmath.dtx: missing %

2016-02-20  David Carlisle  <latex-bugs@latex-project.org>

	* amsmath.dtx: update to support \Umathchardef and \long macros in \dots.

2013-01-14 amsmath.dtx 2.14

    * amsmath.sty 2.14
      -- Minimal changes to make amsmath compatible with stix.sty.

2000-07-18 amsmath.dtx 2.13
    -- After the numbering patches in 2.11, \notag failed in certain
       circumstances: introduce some more auxiliary functions to sort
       things out, and redefine \nonumber.

2000-06-29 amstext.dtx 2.01
    -- Use \f@size instead of \tf@size because they are not
       necessarily the same and the former is better for putting a few
       words into a display.

2000-06-06 amsmath.dtx 2.12
    -- Fix transposed lines in 2.11 patch.

2000-06-02 amsmath.dtx 2.11

    * amsmath.sty 2.11
      -- Prevent "Arithmetic overflow" error by guarding against
         divide-by-zero in \x@calc@shift@lc (align environment).

    * amsdtx.dtx
      -- Moved to the amscls distribution.

2000-05-25 amsmath.dtx 2.10
    -- Clear up error message for \allowdisplaybreaks[0].
    -- Make mathdisplay re-entrant by introducing mathdisplay@stack,
       to clear up numbering problems in unusual circumstances such as
       \[ \] nested inside minipage inside equation.

2000-04-21 amsmath.dtx 2.09
    -- Ensure good catcodes for " etc.

2000-03-16 amsmath.dtx 2.08
    -- Fixed erroneous tag placement on split with fleqn/tbtags options.

2000-03-15 amsmath.dtx 2.07
    -- Add \reset@strutbox@ to deal with the following bug: After
       $...\mbox{\Huge $...$}...$, line spacing is wrong in a
       following "gather" or other environment that uses \strut@.
    -- Patch to fix bug with intlimits option: too much space in the
       middle of \iint.
    -- Overhaul math accents again to fix a couple of bugs reported by
       Thimm.

2000-03-10 amsmath.dtx 2.06
    -- Change \MathAccent to \mathaccentV so \DeclareMathAccent won't
       give an error when redefining an accent.

2000-01-06 amsmath.dtx 2.05
    -- Fixed incorrect placement of fleqn/reqno equation numbers
       inside indented lists (displaywidth < columnwidth). Changed the
       multline/fleqn/leqno indent to match mathmargin when possible
       instead of always just using multlinetaggap.
